#jinja2: lstrip_blocks: True, trim_blocks: True
{% for user in manage_users_accounts %}
    {% if (user.is_admin is defined and user.is_admin|bool) and ((user.state is defined and user.state|string|lower != 'absent') or user.state is not defined) %}
Defaults:{{ user.name }} setenv,!env_reset
Defaults:{{ user.name }} logfile=/var/log/sudo-{{ user.name }}.log
    {% endif %}
{% endfor %}

{% for user in manage_users_accounts %}
    {% if (user.is_admin is defined and user.is_admin|bool) and ((user.state is defined and user.state|string|lower != 'absent') or user.state is not defined) %}
{{ user.name }} ALL=(ALL:ALL) NOPASSWD:ALL
    {% endif %}
{% endfor %}
